Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Interface MapXml

All Known Implementing Classes:
  AlternativeGroupingMapXmlContainer, AlternativeSimpleMapXmlContainer, BufferedRecordMap, ContentRecordMap, ElementMap, FieldAttributeMap, GenerateCData, GenerateElement, GenerateValue, GroupBy, GroupChoice, InnerGroup, MultipleGroupingRecordMapContainer, OnRecord, OuterGroup, RecordMapPrefilter, RecordSubtreeMap, RepeatingGroupMap, SimpleGroupingRecordMapContainer, SimpleRecordMapContainer, SortGroup, TransformGroup

    public interface MapXml

Method Summary
`void` | `addToAttributes(ServiceContext context, Flow flow, Record variables, org.xml.sax.helpers.AttributesImpl attributes)`
`void` | `groupStarted(ServiceContext context, Flow flow, Record previousRecord, Record nextRecord, ExtendedContentHandler handler, Record variables)`
`void` | `groupStopped(ServiceContext context, Flow flow, ExtendedContentHandler handler)`
`boolean` | `isGrouping()`
`void` | `writeRecord(ServiceContext context, Flow flow, Record previousRecord, Record nextRecord, ExtendedContentHandler handler, GroupState groupListener)`

Method Detail

### addToAttributes

    void addToAttributes(ServiceContext context,
                         Flow flow,
                         Record variables,
                         org.xml.sax.helpers.AttributesImpl attributes)

### writeRecord

    void writeRecord(ServiceContext context,
                     Flow flow,
                     Record previousRecord,
                     Record nextRecord,
                     ExtendedContentHandler handler,
                     GroupState groupListener)

### groupStarted

    void groupStarted(ServiceContext context,
                      Flow flow,
                      Record previousRecord,
                      Record nextRecord,
                      ExtendedContentHandler handler,
                      Record variables)

### groupStopped

    void groupStopped(ServiceContext context,
                      Flow flow,
                      ExtendedContentHandler handler)

### isGrouping

    boolean isGrouping()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD